MinorRadius Example |
Using Programming Languages other than VBA
Sub Example_MinorRadius() ' This example creates an Ellipse in model space and displays ' both the Major radius and the Minor radius of the new Ellipse Dim ellObj As AcadEllipse Dim majAxis(0 To 2) As Double, center(0 To 2) As Double Dim radRatio As Double ' Create an ellipse in model space center(0) = 5: center(1) = 5: center(2) = 0 majAxis(0) = 10: majAxis(1) = 20: majAxis(2) = 0 radRatio = 0.3 Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio) ThisDrawing.Application.ZoomAll ' Display radius information MsgBox "The major radius of the new Ellipse is: " & ellObj.majorRadius & vbCrLf & _ "The minor radius of the new Ellipse is: " & ellObj.minorRadius End Sub
Comments? |